Package org.flowable.cmmn.model

# Class ExtensionElement

java.lang.Object
org.flowable.cmmn.model.BaseElement
org.flowable.cmmn.model.ExtensionElement

All Implemented Interfaces:
  `HasExtensionAttributes`

public class ExtensionElement extends BaseElement

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Map<String,List<ExtensionElement>>`
  `childElements`
  `protected String`
  `elementText`
  `protected String`
  `name`
  `protected String`
  `namespace`
  `protected String`
  `namespacePrefix`

  ### Fields inherited from class org.flowable.cmmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtensionElement()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addChildElement(ExtensionElement childElement)`
  `ExtensionElement`
  `clone()`
  `Map<String,List<ExtensionElement>>`
  `getChildElements()`
  `String`
  `getElementText()`
  `String`
  `getName()`
  `String`
  `getNamespace()`
  `String`
  `getNamespacePrefix()`
  `void`
  `setChildElements(Map<String,List<ExtensionElement>> childElements)`
  `void`
  `setElementText(String elementText)`
  `void`
  `setName(String name)`
  `void`
  `setNamespace(String namespace)`
  `void`
  `setNamespacePrefix(String namespacePrefix)`
  `void`
  `setValues(ExtensionElement otherElement)`

  ### Methods inherited from class org.flowable.cmmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name

  - ### namespacePrefix

    protected String namespacePrefix

  - ### namespace

    protected String namespace

  - ### elementText

    protected String elementText

  - ### childElements

    protected Map<String,List<ExtensionElement>> childElements

- ## Constructor Details

  - ### ExtensionElement

    public ExtensionElement()

- ## Method Details

  - ### getElementText

    public String getElementText()

  - ### setElementText

    public void setElementText(String elementText)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getNamespacePrefix

    public String getNamespacePrefix()

  - ### setNamespacePrefix

    public void setNamespacePrefix(String namespacePrefix)

  - ### getNamespace

    public String getNamespace()

  - ### setNamespace

    public void setNamespace(String namespace)

  - ### getChildElements

    public Map<String,List<ExtensionElement>> getChildElements()

  - ### addChildElement

    public void addChildElement(ExtensionElement childElement)

  - ### setChildElements

    public void setChildElements(Map<String,List<ExtensionElement>> childElements)

  - ### clone

    public ExtensionElement clone()
    Overrides:
      `clone` in class `Object`

  - ### setValues

    public void setValues(ExtensionElement otherElement)